clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions | Variables
MiscTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "ArgumentCommentCheck.h"`
`#include "AssertSideEffectCheck.h"`
`#include "AssignOperatorSignatureCheck.h"`
`#include "BoolPointerImplicitConversionCheck.h"`
`#include "DefinitionsInHeadersCheck.h"`
`#include "InaccurateEraseCheck.h"`
`#include "InefficientAlgorithmCheck.h"`
`#include "MacroParenthesesCheck.h"`
`#include "MacroRepeatedSideEffectsCheck.h"`
`#include "MoveConstantArgumentCheck.h"`
`#include "MoveConstructorInitCheck.h"`
`#include "NewDeleteOverloadsCheck.h"`
`#include "NoexceptMoveConstructorCheck.h"`
`#include "NonCopyableObjects.h"`
`#include "SizeofContainerCheck.h"`
`#include "StaticAssertCheck.h"`
`#include "StringIntegerAssignmentCheck.h"`
`#include "SwappedArgumentsCheck.h"`
`#include "ThrowByValueCatchByReferenceCheck.h"`
`#include "UndelegatedConstructor.h"`
`#include "UniqueptrResetReleaseCheck.h"`
`#include "UnusedAliasDeclsCheck.h"`
`#include "UnusedParametersCheck.h"`
`#include "UnusedRAIICheck.h"`
`#include "VirtualNearMissCheck.h"`
Include dependency graph for MiscTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::misc::MiscModule

## Namespaces
| clang
| clang::tidy
| clang::tidy::misc

## Functions
static ClangTidyModuleRegistry::Add < misc::MiscModule > | clang::tidy::X ("misc-module","Adds miscellaneous lint checks.")

## Variables
volatile int | clang::tidy::MiscModuleAnchorSource = 0